{*
* 2007-2012 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2012 PrestaShop SA
*  @version  Release: $Revision: 13573 $
*  @license    http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*}

<script type="text/javascript">
var Customer = new Object();
$(document).ready(function () {
	Customer = {
		"hiddenField": jQuery('#id_customer'),
		"field": jQuery('#customer'),
		"container": jQuery('#customers'),
		"loader": jQuery('#customerLoader'),
		"init": function() {
			jQuery(Customer.field).typeWatch({
				"captureLength": 1,
				"highlight": true,
				"wait": 50,
				"callback": Customer.search
			}).focus(Customer.placeholderIn).blur(Customer.placeholderOut);
		},
		"placeholderIn": function() {
			if (this.value == '{l s='All customers'}') {
				this.value = '';
			}
		},
		"placeholderOut": function() {
			if (this.value == '') {
				this.value = '{l s='All customers'}';
			}
		},
		"search": function()
		{
			Customer.showLoader();
			jQuery.ajax({
				"type": "POST",
				"url": "{$link->getAdminLink('AdminCustomers')|addslashes}",
				"async": true,
				"dataType": "json",
				"data": {
					"ajax": "1",
					"token": "{getAdminToken tab='AdminCustomers'}",
					"tab": "AdminCustomers",
					"action": "searchCustomers",
					"customer_search": Customer.field.val()
				},
				"success": Customer.success
			});
		},
		"success": function(result)
		{
			if(result.found) {
				var html = '<ul class="clearfix">';
				jQuery.each(result.customers, function() {
					html += '<li><a class="fancybox" href="{$link->getAdminLink('AdminCustomers')}&id_customer='+this.id_customer+'&viewcustomer&liteDisplaying=1">'+this.firstname+' '+this.lastname+'</a>'+(this.birthday ? ' - '+this.birthday:'')+'<br/>';
					html += '<a href="mailto:'+this.email+'">'+this.email+'</a><br />';
					html += '<a onclick="Customer.select('+this.id_customer+', \''+this.firstname+' '+this.lastname+'\'); return false;" href="#" class="button">{l s='Choose'}</a></li>';
				});
				html += '</ul>';
			}
			else
				html = '<div class="alert alert-warning">{l s='No customers found'}</div>';
			Customer.hideLoader();
			Customer.container.html(html);
			jQuery('.fancybox', Customer.container).fancybox();
		},
		"select": function(id_customer, fullname)
		{
			Customer.hiddenField.val(id_customer);
			Customer.field.val(fullname);
			Customer.container.empty();
			return false;
		},
		"showLoader": function() {
			Customer.loader.fadeIn();
		},
		"hideLoader": function() {
			Customer.loader.fadeOut();
		}
	};
	Customer.init();
});
</script>

<div class="panel">
	<div class="panel-heading">
		{l s='Set reduction/sale for products of category' mod='salecategory'}
	</div>
	<form method="post" action="{$link->getAdminLink('AdminSaleCategory')}" class="defaultForm form-horizontal">
		<div class="form-group">
			<label class="control-label col-lg-3 ">
				<span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="{l s='Choose the category for which the sale will be applied.' mod='salecategory'}">
					{l s='On category:' mod='salecategory'}
				</span>
			</label>		
			<div class="col-lg-9 ">			
				<select name="categories" id="categories">
					{if isset($categories)}
						{$categories}
					{/if}
				</select>
			</div>
		</div>
		<div class="form-group">
			<div id="conf_id_recurse_apply">	
				<label class="control-label col-lg-3 " for="recurse">
						<span title="" data-toggle="tooltip" class="label-tooltip" data-original-title="Recursively apply the reduction/on sale status to the sub-categories" data-html="true">
						Recurse subcategories 
					</span>
				</label>			
				<div class="input-group col-lg-2">
					<span class="switch prestashop-switch">
						<input type="radio" name="recurse_apply" id="recurse_apply_on" value="1" checked="checked">
						<label for="recurse_apply_on" class="radioCheck">
							Yes
						</label>
						<input type="radio" name="recurse_apply" id="recurse_apply_off" value="0">
						<label for="recurse_apply_off" class="radioCheck">
							No
						</label>
						<a class="slide-button btn"></a>
					</span>
				</div>
			</div>
		</div>
            <fieldset style="font-size:13px">
                <legend  >{l s='Reduction' mod='salecategory'}</legend>
		<div class="form-group">
			<label class="control-label col-lg-3 ">
				{l s='Apply reduction to products' mod='salecategory'}
			</label>		
			<div class="input-group col-lg-2">
				<span class="switch prestashop-switch">
					<input type="radio" name="apply_reduction" id="apply_reduction_on" value="1" checked="checked">
					<label for="apply_reduction_on" class="radioCheck">
						Yes
					</label>
					<input type="radio" name="apply_reduction" id="apply_reduction_off" value="0">
					<label for="apply_reduction_off" class="radioCheck">
						No
					</label>
					<a class="slide-button btn"></a>
				</span>
			</div>
		</div>	
		<div id="reduction_form">	
		<div class="form-group">
			<label class="control-label col-lg-3" for="sp_from">{l s='For' mod='salecategory'}</label>
			<div class="col-lg-9">
				<div class="row">
				{if !$multi_shop}
					<input type="hidden" name="sp_id_shop" value="0" />
				{else}
					<div class="col-lg-3">
						<select name="sp_id_shop" id="sp_id_shop">
							{if !$admin_one_shop}<option value="0">{l s='All shops'}</option>{/if}
							{foreach from=$shops item=shop}
							<option value="{$shop.id_shop}">{$shop.name|htmlentitiesUTF8}</option>
							{/foreach}
						</select>
					</div>
				{/if}
					<div class="col-lg-3">
						<select name="sp_id_currency" id="spm_currency_0" onchange="changeCurrencySpecificPrice(0);">
							<option value="0">{l s='All currencies'}</option>
							{foreach from=$currencies item=curr}
							<option value="{$curr.id_currency}">{$curr.name|htmlentitiesUTF8}</option>
							{/foreach}
						</select>
					</div>
					<div class="col-lg-3">
						<select name="sp_id_country" id="sp_id_country">
							<option value="0">{l s='All countries'}</option>
							{foreach from=$countries item=country}
							<option value="{$country.id_country}">{$country.name|htmlentitiesUTF8}</option>
							{/foreach}
						</select>
					</div>
					<div class="col-lg-3">
						<select name="sp_id_group" id="sp_id_group">
							<option value="0">{l s='All groups'}</option>
							{foreach from=$groups item=group}
							<option value="{$group.id_group}">{$group.name}</option>
							{/foreach}
						</select>
					</div>
				</div>
			</div>
		</div>			
		<div class="form-group">
			<label class="control-label col-lg-3" for="customer">{l s='Customer'}</label>
			<div class="col-lg-5">
				<input type="hidden" name="sp_id_customer" id="id_customer" value="0" />
				<div class="input-group">
					<input type="text" name="customer" value="{l s='All customers'}" id="customer" autocomplete="off" />
					<span class="input-group-addon"><i class="icon-search"></i></span>
				</div>
				
			</div>
			<img src="../img/admin/field-loader.gif" id="customerLoader" alt="{l s='Loading...'}" style="display: none;" />
			<div id="customers"></div>
		</div>		
		<div class="form-group">
			<label class="control-label col-lg-3" for="sp_from">{l s='Available' mod='salecategory'}</label>
			<div class="col-lg-9">
				<div class="row">
					<div class="col-lg-4">
						<div class="input-group">
							<span class="input-group-addon">{l s='from' mod='salecategory'}</span>
							<input class="datepicker" type="text" name="sp_from" value="" style="text-align: center" id="sp_from">
							<span class="input-group-addon"><i class="icon-calendar-empty"></i></span>
						</div>
					</div>
					<div class="col-lg-4">
						<div class="input-group">
							<span class="input-group-addon">{l s='to' mod='salecategory'}</span>
							<input class="datepicker" type="text" name="sp_to" value="" style="text-align: center" id="sp_to">
							<span class="input-group-addon"><i class="icon-calendar-empty"></i></span>
						</div>
					</div>
				</div>
			</div>
		</div>		
		<div class="form-group ">
			<label class="control-label col-lg-3" for="sp_from_quantity">{l s='Starting at' mod='salecategory'}</label>
			<div class="col-lg-5">
				<div class="input-group">
					<span class="input-group-addon">unit</span>
					<input type="text" name="sp_from_quantity" id="sp_from_quantity" value="1">
				</div>			
			</div>			
		</div>		
		<div class="form-group ">
			<label class="control-label col-lg-3" for="sp_reduction">{l s='Discount:' mod='salecategory'}</label>
			<div class="col-lg-5">
				<div class="row">
					<div class="col-lg-6">
						<input type="text" name="sp_reduction" id="sp_reduction" value="0.00">
					</div>
					<div class="col-lg-6">
						<select name="sp_reduction_type" id="sp_reduction_type">
							<option selected="selected">-</option>
							<option value="amount">Currency Units</option>
							<option value="percentage">Percent</option>
						</select>
					</div>
				</div>
			</div>
		</div>	
		</div>	
		<legend  >{l s='On Sale' mod='salecategory'}</legend>		
		<div class="form-group">
			<label class="control-label col-lg-3 ">
				{l s='Set Products as "On Sale"' mod='salecategory'}
			</label>		
			<div class="input-group col-lg-2">
				<span class="switch prestashop-switch">
					<input type="radio" name="apply_sale" id="apply_sale_on" value="1" checked="checked">
					<label for="apply_sale_on" class="radioCheck">
						Yes
					</label>
					<input type="radio" name="apply_sale" id="apply_sale_off" value="0">
					<label for="apply_sale_off" class="radioCheck">
						No
					</label>
					<a class="slide-button btn"></a>
				</span>
			</div>
		</div>			
		<button type="submit" value="1" id="configuration_form_submit_btn" name="submitSetReductionSale" class="btn btn-default pull-right">
			<i class="process-icon-ok"></i>
			{l s='Apply' mod='salecategory'}
		</button>	
		</fieldset>				
	</form>	
</div>	
			
<div class="panel">
	<div class="panel-heading">
		{l s='Remove reduction/sale for products of category' mod='salecategory'}
	</div>			
	<form method="post" action="{$link->getAdminLink('AdminSaleCategory')}" class="defaultForm form-horizontal">
		<div class="form-group">
			<label class="control-label col-lg-3 ">
				<span class="label-tooltip" data-toggle="tooltip" data-html="true" title="" data-original-title="{l s='Choose the category for which the sale will be applied.' mod='salecategory'}">
					{l s='On category:' mod='salecategory'}
				</span>
			</label>		
			<div class="col-lg-9 ">			
				<select name="categories" id="categories">
					{if isset($categories)}
						{$categories}
					{/if}
				</select>
			</div>
		</div>
		<div class="form-group">
			<div id="conf_id_recurse_remove">	
				<label class="control-label col-lg-3 " for="recurse">
						<span title="" data-toggle="tooltip" class="label-tooltip" data-original-title="Recursively remove the reduction/on sale status to the sub-categories" data-html="true">
						Recurse subcategories 
					</span>
				</label>			
				<div class="input-group col-lg-2">
					<span class="switch prestashop-switch">
						<input type="radio" name="recurse_remove" id="recurse_remove_on" value="1" checked="checked">
						<label for="recurse_remove_on" class="radioCheck">
							Yes
						</label>
						<input type="radio" name="recurse_remove" id="recurse_remove_off" value="0">
						<label for="recurse_remove_off" class="radioCheck">
							No
						</label>
						<a class="slide-button btn"></a>
					</span>
				</div>
			</div>
		</div>	
		<fieldset style="font-size:13px">
			<legend>{l s='Reduction' mod='salecategory'}</legend>
			<div class="form-group">
				<label class="control-label col-lg-3 ">
					{l s='Remove reduction for products' mod='salecategory'}
				</label>		
				<div class="input-group col-lg-2">
					<span class="switch prestashop-switch">
						<input type="radio" name="remove_reduction" id="remove_reduction_on" value="1" checked="checked">
						<label for="remove_reduction_on" class="radioCheck">
							Yes
						</label>
						<input type="radio" name="remove_reduction" id="remove_reduction_off" value="0">
						<label for="remove_reduction_off" class="radioCheck">
							No
						</label>
						<a class="slide-button btn"></a>
					</span>
				</div>
			</div>
			<legend>{l s='Sale' mod='salecategory'}</legend>
			<div class="form-group">
				<label class="control-label col-lg-3 ">
					{l s='Unset products as "on sale"' mod='salecategory'}
				</label>		
				<div class="input-group col-lg-2">
					<span class="switch prestashop-switch">
						<input type="radio" name="remove_sale" id="remove_sale_on" value="1" checked="checked">
						<label for="remove_sale_on" class="radioCheck">
							Yes
						</label>
						<input type="radio" name="remove_sale" id="remove_sale_off" value="0">
						<label for="remove_sale_off" class="radioCheck">
							No
						</label>
						<a class="slide-button btn"></a>
					</span>
				</div>
			</div>
			<button type="submit" value="1" id="configuration_form_submit_btn" name="submitUnsetReductionSale" class="btn btn-default pull-right">
				<i class="process-icon-ok"></i>
				{l s='Apply' mod='salecategory'}
			</button>	
		</fieldset>		
	</form>	
</div>


<script type="text/javascript">
	$(document).ready(function() {
		$('.datepicker').datetimepicker({
			prevText: '',
			nextText: '',
			dateFormat: 'yy-mm-dd',
			// Define a custom regional settings in order to use PrestaShop translation tools
			currentText: 'Now',
			closeText: 'Done',
			ampm: false,
			amNames: ['AM', 'A'],
			pmNames: ['PM', 'P'],
			timeFormat: 'hh:mm:ss tt',
			timeSuffix: '',
			timeOnlyTitle: 'Choose Time',
			timeText: 'Time',
			hourText: 'Hour',
			minuteText: 'Minute',
		});
	});
	
	$('#apply_reduction_off').change(function(){
		if($(this).is(':checked')) {
			$('#reduction_form').slideUp();
		}
	});
	$('#apply_reduction_on').change(function(){
		if($(this).is(':checked')) {
			$('#reduction_form').slideDown();
		}
	});	
</script>
